# Class RWSError

#### Hierarchy (view full)

- RWSError
  - Error403
  - Error404
  - Error500

- Defined in src/errors/_error.ts:1

#####
Index

### Constructors

constructor

### Properties

baseError
code
message
name
stack?

### Methods

getCode
getMessage
getStackTraceString
printFullError

## Constructors

### constructor

- new RWSError(code, baseError?, params?): RWSError

- #### Parameters

  - ##### code: number

  - ##### baseError: any = null

  - ##### params: any = null

  #### Returns RWSError

  - Defined in src/errors/_error.ts:8

## Properties

### `Protected` baseError

baseError: any

- Defined in src/errors/_error.ts:2

### `Protected` code

code: number

- Defined in src/errors/_error.ts:5

### `Protected` message

message: string

- Defined in src/errors/_error.ts:4

### `Protected` name

name: string

- Defined in src/errors/_error.ts:3

### `Protected` `Optional` stack

stack?: string = null

- Defined in src/errors/_error.ts:6

## Methods

### getCode

- getCode(): number

- #### Returns number

  - Defined in src/errors/_error.ts:38

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/errors/_error.ts:33

### getStackTraceString

- getStackTraceString(): string

- #### Returns string

  - Defined in src/errors/_error.ts:43

### printFullError

- printFullError(): void

- #### Returns void

  - Defined in src/errors/_error.ts:25

Generated using TypeDoc